using System.ComponentModel;

namespace IRaCIS.Core.Domain.Models;

[Table("SubjectCriteriaEvaluationVisitFilter")]
public class SubjectCriteriaEvaluationVisitFilter : BaseFullAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("TrialReadingCriterionId")]
    public ReadingQuestionCriterionTrial TrialReadingCriterion { get; set; }
    [JsonIgnore]
    public SubjectCriteriaEvaluation SubjectCriteriaEvaluation { get; set; }

    [JsonIgnore]

    public SubjectVisit SubjectVisit { get; set; }
    #endregion
    public Guid SubjectId { get; set; }
    public Guid TrialReadingCriterionId { get; set; }
    public Guid SubjectVisitId { get; set; }

    [Comment("影像筛选状态")]
    public ImageFilterState ImageFilterState { get; set; }

    [Comment("影像判断结果")]
    public ImageDeterminationResultState ImageDeterminationResultState { get; set; }

    [Comment("是否已生成任务")]
    public bool IsGeneratedTask { get; set; }

}

[Description("影像确认结果")]
public enum ImageDeterminationResultState
{
    //待定
    None = 0,
    //通过
    Passed = 1,
}

[Description("影像筛选状态")]
public enum ImageFilterState
{
    //默认值 待筛选
    None = 0,

    Filtering = 1,

    //筛选已完成
    Finished = 2
}

